Skip to main content
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
/
{event_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "status": "cancelled" }'
{
  "success": true,
  "data": {
    "id": "event-uuid-1",
    "status": "cancelled",
    "updated_at": "2024-01-15T19:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Update Calendar Event

Update fields on an existing calendar event. All fields are optional.

Endpoint

PUT /api/v1/calendars/{calendar_id}/events/{event_id}

Path Parameters

calendar_id
string
required
Calendar UUID.
event_id
string
required
Event UUID.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here
Content-Type
string
required
Must be application/json.

Request Body

Same fields as Create Calendar Event, all optional.

Examples

curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "status": "cancelled" }'

Response

{
  "success": true,
  "data": {
    "id": "event-uuid-1",
    "status": "cancelled",
    "updated_at": "2024-01-15T19:00:00Z"
  }
}